sc::TranslateDataIn(3)

NAME
sc::TranslateDataIn - Convert data from other formats.

SYNOPSIS

#include <translate.h>

  Public Methods
TranslateDataIn (StateIn *s, TranslateData *t)
Input data will come from s.
virtual ~TranslateDataIn ()
virtual int get (char *, int)
Read and translate data.
virtual int get (short *, int)
virtual int get (unsigned int *, int)
virtual int get (int *, int)
virtual int get (long *, int)
virtual int get (float *, int)
virtual int get (double *, int)
TranslateData * translator ()
Return the translator.

  Protected Methods
int getv (void *d, int s)

DETAILED DESCRIPTION

Convert data from other formats.

The data is taken from a StateIn object.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  sc::TranslateDataIn::TranslateDataIn (StateIn * s, TranslateData * t)

Input data will come from s.

The t argument will be deleted by this.

MEMBER FUNCTION DOCUMENTATION

  virtual int sc::TranslateDataIn::get (char *, int) [virtual]

Read and translate data.

A similar member exists for each basic type.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.